## alarm-clock-applet 0.4.1

=== CMakeLists.txt ===
# SPDX-License-Identifier: GPL-2.0-or-later
cmake_minimum_required(VERSION 3.10)

list(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_LIST_DIR}/cmake")

set(HARDCODED_VERSION "0.4.1")
set(IS_RELEASE TRUE)

if(IS_RELEASE)
    set(GIT_PROJECT_VER "${HARDCODED_VERSION}")
else()
    # Ask git for the version number
    execute_process(COMMAND git describe --tags --dirty
        WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}
        OUTPUT_VARIABLE GIT_PROJECT_VER
        OUTPUT_STRIP_TRAILING_WHITESPACE
    )
    if(NOT GIT_PROJECT_VER)
        # Try asking dpkg-parsechangelog for a version number
        execute_process(COMMAND dpkg-parsechangelog -S Version
            WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}
            OUTPUT_VARIABLE GIT_PROJECT_VER
            OUTPUT_STRIP_TRAILING_WHITESPACE
        )

        # Did dpkg-parsechangelog fail too?
        if(NOT GIT_PROJECT_VER)
            set(GIT_PROJECT_VER "${HARDCODED_VERSION}-unknown")
        elseif(NOT(GIT_PROJECT_VER MATCHES "-"))
            set(GIT_PROJECT_VER "${GIT_PROJECT_VER}-deb")
        endif()
    endif()
endif()

string(REGEX REPLACE "-.*" "" PARSED_PROJECT_VER "${GIT_PROJECT_VER}")
project("alarm-clock-applet" VERSION "${PARSED_PROJECT_VER}" LANGUAGES C)

# Manually set the version string to keep the suffix
set(PROJECT_VERSION "${GIT_PROJECT_VER}")

if(NOT(PARSED_PROJECT_VER VERSION_EQUAL HARDCODED_VERSION))
    message(AUTHOR_WARNING "Hardcoded version is not equal to git version. Please correct it!")
endif()

include_directories("${CMAKE_BINARY_DIR}")
include(GNUInstallDirs)

find_package(PkgConfig REQUIRED)
find_package(Gettext REQUIRED)

# Uninstall target
add_custom_target(uninstall
    COMMAND xargs -r -t rm -f < "${CMAKE_BINARY_DIR}/install_manifest.txt"
)

option(ENABLE_GCONF_MIGRATION "Enables GConf to GSettings migration for existing alarms (and adds a dependency to GConf)." ON)
option(ALLOW_MISSING_GCONF "Allows the project to build with GConf missing. Useful for existing installations (AUR) that already had GConf." OFF)
if(ENABLE_GCONF_MIGRATION)
    add_subdirectory("gconf-migration")
endif()
option(WITH_MANPAGE_COMPRESSION "Compresses the manpage with Gzip if installed." ON)

add_compile_options("-Wshadow"
    "-Werror=return-type"
)

add_subdirectory("po")
add_subdirectory("src")
add_subdirectory("debian")

=== debian/CMakeLists.txt ===
add_custom_target(dch
    COMMAND
        dch --distribution unstable --newversion "${CMAKE_PROJECT_VERSION}" -u medium "New upstream release ${CMAKE_PROJECT_VERSION}" --check-dirname-level 0
    WORKING_DIRECTORY
        "${CMAKE_CURRENT_LIST_DIR}"
)

=== gconf-migration/CMakeLists.txt ===
# SPDX-License-Identifier: GPL-2.0-or-later
pkg_check_modules(GIO REQUIRED gio-2.0)
pkg_check_modules(GCONF2 gconf-2.0)
if(NOT GCONF2_FOUND)
    if(ALLOW_MISSING_GCONF)
        message(WARNING "GConf was not found but the package will still be built.\nIf you want to migrate old alarms created by alarm-clock-applet < 0.4.0, please install GConf and re-run CMake/rebuild the package.")
        add_custom_target(alarm-clock-applet-gconf-migration)
        return()
    else()
        message(FATAL_ERROR "GConf not found.\nPlease install it or pass `-DENABLE_GCONF_MIGRATION=OFF` if you do not want to migrate alarms created by alarm-clock-applet < 0.4.0.")
    endif()
endif()

add_executable(alarm-clock-applet-gconf-migration alarm-clock-gconf-migration.c)
set_property(TARGET alarm-clock-applet-gconf-migration PROPERTY C_STANDARD 11)

target_link_libraries(alarm-clock-applet-gconf-migration PRIVATE
    ${GCONF2_LIBRARIES}
    ${GIO_LIBRARIES}
)

target_include_directories(alarm-clock-applet-gconf-migration PRIVATE
    ${GCONF2_INCLUDE_DIRS}
    ${GIO_INCLUDE_DIRS}
)

if(CMAKE_VERSION VERSION_GREATER_EQUAL "3.13")
    target_link_directories(alarm-clock-applet-gconf-migration PRIVATE
        ${GCONF2_LIBRARY_DIRS}
        ${GIO_LIBRARY_DIRS}
    )
endif()

install(
    TARGETS alarm-clock-applet-gconf-migration
    DESTINATION "bin"
)

install(
    FILES
        "alarm-clock.schemas"
    DESTINATION "${CMAKE_INSTALL_FULL_SYSCONFDIR}/gconf/schemas/"
)

set(GCONF_CONFIG_SOURCE "")
if(EXISTS "/etc/gconf/gconf.xml.defaults")
    set(GCONF_CONFIG_SOURCE "xml:merged:/etc/gconf/gconf.xml.defaults")
endif()

find_program(GCONFTOOL_2_EXECUTABLE gconftool-2)
if(NOT GCONFTOOL_2_EXECUTABLE)
    message(FATAL_ERROR "gconftool-2 not found")
endif()

install(
    CODE
        "set(ENV{GCONF_CONFIG_SOURCE} \"https://gitlab.kitware.com/cmake/cmake/-/issues/22624\")
        set(ENV{GCONF_CONFIG_SOURCE} \"${GCONF_CONFIG_SOURCE}\")
        execute_process(COMMAND ${GCONFTOOL_2_EXECUTABLE}
            --makefile-install-rule
            alarm-clock.schemas
            WORKING_DIRECTORY \"${CMAKE_CURRENT_LIST_DIR}\"
        )"
)

add_custom_target(uninstall_gconf_schema
    COMMAND
        ${CMAKE_COMMAND} -E env GCONF_CONFIG_SOURCE="${GCONF_CONFIG_SOURCE}"
        ${GCONFTOOL_2_EXECUTABLE}
            --makefile-uninstall-rule
            alarm-clock.schemas
        WORKING_DIRECTORY "${CMAKE_CURRENT_LIST_DIR}"
)
add_dependencies(uninstall uninstall_gconf_schema)

=== po/CMakeLists.txt ===
# SPDX-License-Identifier: GPL-2.0-or-later
set(POTFILE "alarm-clock-applet.pot")

# Dummy target for LINGUAS to force regeneration
add_custom_target(linguas DEPENDS "LINGUAS")

file(STRINGS "LINGUAS" LINGUAS)
list(FILTER LINGUAS EXCLUDE REGEX "^#")

# FIXME: Remove when Ubuntu 18.04 goes EOL
if(CMAKE_VERSION VERSION_LESS "3.12")
    set(POFILES "")
    foreach(PO IN LISTS LINGUAS)
        list(APPEND POFILES "${PO}.po")
    endforeach()
    set(LINGUAS "${POFILES}")
else()
    list(TRANSFORM LINGUAS APPEND ".po")
endif()

gettext_create_translations("${POTFILE}" ALL "${LINGUAS}")
# Add dep to LINGUAS
add_dependencies(translations linguas)

find_program(GETTEXT_XGETTEXT_EXECUTABLE xgettext)
if(NOT GETTEXT_XGETTEXT_EXECUTABLE)
    message(FATAL_ERROR "xgettext not found")
endif()

add_custom_target("pot"
    COMMAND ${GETTEXT_XGETTEXT_EXECUTABLE}
        --from-code=UTF-8
        --keyword=_
        --add-comments
        -f po/POTFILES.in
        -o po/${POTFILE}
    DEPENDS "POTFILES.in"
    WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}
)

=== src/CMakeLists.txt ===
# SPDX-License-Identifier: GPL-2.0-or-later
pkg_check_modules(GTK3 REQUIRED gtk+-3.0)
pkg_check_modules(GST REQUIRED gstreamer-1.0)
pkg_check_modules(LIBNOTIFY REQUIRED libnotify)
pkg_check_modules(APPINDICATOR REQUIRED ayatana-appindicator3-0.1)

add_executable(alarm-clock-applet
    alarm-applet.c alarm-applet.h
    player.c player.h
    util.c util.h
    list-entry.c list-entry.h
    alarm.c alarm.h
    alarm-enums.h
    alarm-gsettings.c alarm-gsettings.h
    ui.c ui.h
    alarm-actions.c alarm-actions.h
    alarm-list-window.c alarm-list-window.h
    alarm-settings.c alarm-settings.h
    prefs.c prefs.h
    # Autogenerated
    io.github.alarm-clock-applet.enums.gschema.xml
    alarm-glib-enums.c alarm-glib-enums.h
    alarm-clock-applet.desktop
    autostart/alarm-clock-applet.desktop
)
set_property(TARGET alarm-clock-applet PROPERTY C_STANDARD 11)

target_compile_options(alarm-clock-applet PRIVATE ${GTK3_CFLAGS_OTHER})

# Set default log domain
target_compile_definitions(alarm-clock-applet PUBLIC G_LOG_DOMAIN=\"alarm-clock-applet\")

# Really awful hack
if(CMAKE_VERSION VERSION_LESS "3.13")
    target_link_libraries(alarm-clock-applet PRIVATE "-rdynamic")
else()
    target_link_options(alarm-clock-applet PRIVATE "-rdynamic")
endif()

target_link_libraries(alarm-clock-applet PRIVATE
    ${GTK3_LIBRARIES}
    ${GST_LIBRARIES}
    ${LIBNOTIFY_LIBRARIES}
    ${APPINDICATOR_LIBRARIES}
)

target_include_directories(alarm-clock-applet PRIVATE
    ${GTK3_INCLUDE_DIRS}
    ${GST_INCLUDE_DIRS}
    ${LIBNOTIFY_INCLUDE_DIRS}
    ${APPINDICATOR_INCLUDE_DIRS}
)

if(CMAKE_VERSION VERSION_GREATER_EQUAL "3.13")
    target_link_directories(alarm-clock-applet PRIVATE
        ${GTK3_LIBRARY_DIRS}
        ${GST_LIBRARY_DIRS}
        ${LIBNOTIFY_LIBRARY_DIRS}
        ${APPINDICATOR_LIBRARY_DIRS}
    )
endif()

# All generated files will go to build/src, so include it
target_include_directories(alarm-clock-applet PRIVATE
    "${CMAKE_BINARY_DIR}/src/"
)

configure_file(
    "${CMAKE_SOURCE_DIR}/src/config.h.in"
    "${CMAKE_BINARY_DIR}/src/config.h"
)

# Binary
install(
    TARGETS alarm-clock-applet
    DESTINATION "bin"
)

# ui and css
install(
    FILES
        "${CMAKE_SOURCE_DIR}/data/alarm-clock.ui"
        "${CMAKE_SOURCE_DIR}/data/alarm-clock.css"
    DESTINATION "${CMAKE_INSTALL_DATAROOTDIR}/alarm-clock-applet/"
)

# Desktop shortcut
# This can't go in po/CMakeLists.txt...
add_custom_command(OUTPUT "alarm-clock-applet.desktop"
    COMMAND ${GETTEXT_MSGFMT_EXECUTABLE}
    --desktop
    --template "${CMAKE_SOURCE_DIR}/data/alarm-clock-applet.desktop.in"
    --output "alarm-clock-applet.desktop"
    -d "${CMAKE_SOURCE_DIR}/po/"
    WORKING_DIRECTORY "${CMAKE_BINARY_DIR}/src/"
    DEPENDS "${CMAKE_SOURCE_DIR}/data/alarm-clock-applet.desktop.in" translations
)

install(
    FILES
        "${CMAKE_BINARY_DIR}/src/alarm-clock-applet.desktop"
    DESTINATION "${CMAKE_INSTALL_DATAROOTDIR}/applications/"
)

# Autostart
# Create a subdir and put the file in there so that we can keep the asme filename
file(MAKE_DIRECTORY "${CMAKE_BINARY_DIR}/src/autostart")
add_custom_command(OUTPUT "autostart/alarm-clock-applet.desktop"
    COMMAND ${GETTEXT_MSGFMT_EXECUTABLE}
    --desktop
    --template "${CMAKE_SOURCE_DIR}/data/alarm-clock-applet_autostart.desktop.in"
    --output "alarm-clock-applet.desktop"
    -d "${CMAKE_SOURCE_DIR}/po/"
    WORKING_DIRECTORY "${CMAKE_BINARY_DIR}/src/autostart/"
    DEPENDS "${CMAKE_SOURCE_DIR}/data/alarm-clock-applet_autostart.desktop.in" translations
)

# CMAKE_INSTALL_FULL_SYSCONFDIR is /usr/local/etc/ which doesn't work in this case
set(SYSCONFDIR_XDG "${CMAKE_INSTALL_FULL_SYSCONFDIR}")
if(SYSCONFDIR_XDG STREQUAL "/usr/local/etc")
    set(SYSCONFDIR_XDG "/etc")
endif()

install(
    FILES
        "${CMAKE_BINARY_DIR}/src/autostart/alarm-clock-applet.desktop"
    DESTINATION "${SYSCONFDIR_XDG}/xdg/autostart/"
)

# GSettings schemas
install(
    FILES
        "${CMAKE_SOURCE_DIR}/data/io.github.alarm-clock-applet.gschema.xml"
        "${CMAKE_BINARY_DIR}/src/io.github.alarm-clock-applet.enums.gschema.xml"
    DESTINATION "${CMAKE_INSTALL_DATAROOTDIR}/glib-2.0/schemas/"
)

# Generate enums from header
find_program(GLIB_MKENUMS "glib-mkenums" REQUIRED)
add_custom_command(OUTPUT "io.github.alarm-clock-applet.enums.gschema.xml"
    COMMAND ${GLIB_MKENUMS}
    --comments "<!-- @comment@ -->"
    --fhead "<schemalist>"
    --vhead "  <@type@ id=\"io.github.alarm-clock-applet.@EnumName@\">"
    --vprod "    <value nick=\"@valuenick@\" value=\"@valuenum@\"/>"
    --vtail "  </@type@>"
    --ftail "</schemalist>"
    "${CMAKE_SOURCE_DIR}/src/alarm-enums.h"
    --output "io.github.alarm-clock-applet.enums.gschema.xml"
    WORKING_DIRECTORY "${CMAKE_BINARY_DIR}/src/"
    DEPENDS "alarm-enums.h"
    VERBATIM
)

add_custom_command(OUTPUT "alarm-glib-enums.c"
    COMMAND ${GLIB_MKENUMS}
    --template "${CMAKE_SOURCE_DIR}/src/alarm-glib-enums.c.etemplate"
    --output "alarm-glib-enums.c"
    "${CMAKE_SOURCE_DIR}/src/alarm-enums.h"
    WORKING_DIRECTORY "${CMAKE_BINARY_DIR}/src/"
    DEPENDS "alarm-enums.h" "alarm-glib-enums.c.etemplate"
)

add_custom_command(OUTPUT "alarm-glib-enums.h"
    COMMAND ${GLIB_MKENUMS}
    --template "${CMAKE_SOURCE_DIR}/src/alarm-glib-enums.h.etemplate"
    --output "alarm-glib-enums.h"
    "${CMAKE_SOURCE_DIR}/src/alarm-enums.h"
    WORKING_DIRECTORY "${CMAKE_BINARY_DIR}/src/"
    DEPENDS "alarm-enums.h" "alarm-glib-enums.h.etemplate"
)

install(
    CODE
        "execute_process(COMMAND glib-compile-schemas \"${CMAKE_INSTALL_FULL_DATAROOTDIR}/glib-2.0/schemas/\")"
)

add_custom_target(compile_gsettings_schema
    COMMAND
        glib-compile-schemas "${CMAKE_INSTALL_FULL_DATAROOTDIR}/glib-2.0/schemas/"
)
add_dependencies(uninstall compile_gsettings_schema)

# Icons
install(DIRECTORY "${CMAKE_SOURCE_DIR}/data/icons/icons"
    DESTINATION "${CMAKE_INSTALL_DATAROOTDIR}"
    FILE_PERMISSIONS
    OWNER_READ OWNER_WRITE
    GROUP_READ
    WORLD_READ
    DIRECTORY_PERMISSIONS
    OWNER_READ OWNER_WRITE OWNER_EXECUTE
    GROUP_READ GROUP_EXECUTE
    WORLD_READ WORLD_EXECUTE
)

# Needed to regenerate the icon cache
# 3.12 first introduced TOUCH, and Ubuntu 18.04 has 3.10
install(
    CODE
        "if(NOT DEFINED ENV{DESTDIR})
            file(WRITE \"\${CMAKE_INSTALL_PREFIX}/share/icons/hicolor/.xdg-icon-resource-dummy\" \"\")
            file(REMOVE \"\${CMAKE_INSTALL_PREFIX}/share/icons/hicolor/.xdg-icon-resource-dummy\")
        endif()"
)

if(ENABLE_GCONF_MIGRATION)
    add_dependencies(alarm-clock-applet alarm-clock-applet-gconf-migration)
endif()

# Manpage
include(Pod2man)
pod2man("${CMAKE_SOURCE_DIR}/src/alarm-clock-applet.pod" "${PROJECT_VERSION}" 1 "General Commands Manual")

## alarm-clock-applet 0.2.6

=== debian/changelog ===
alarm-clock-applet (0.2.6-2) unstable; urgency=low

  * debian/watch:
    + Updated with new alarm clock tarball name
  * debian/source/format,
    debian/README.source:
    + Use 3.0 (quilt) for patches and document it in README.source
  * debian/patches/01_update-alarms-eta.patch:
    + return TRUE after alarms_list_update_timer is called to make sure it
      continues to be called every second (LP: #500600)
  * debian/control:
    + No change Standards-Version bump from 3.8.1 to 3.8.3

 -- Chow Loong Jin <hyperair@ubuntu.com>  Sun, 27 Dec 2009 15:30:59 +0800

alarm-clock-applet (0.2.6-1) unstable; urgency=low

  * Initial release (Closes: #531065)

 -- Chow Loong Jin <hyperair@ubuntu.com>  Sat, 30 May 2009 23:24:27 +0800

=== debian/control ===
Source: alarm-clock-applet
Section: gnome
Priority: optional
Maintainer: Chow Loong Jin <hyperair@ubuntu.com>
Uploaders: Johannes H. Jensen <joh@pseudoberries.com>
Build-Depends: debhelper (>= 7.0.50),
               autotools-dev,
               libglib2.0-dev (>= 2.13.0),
               libgtk2.0-dev (>= 2.11.0),
               libgnomevfs2-dev (>= 2.15.4),
               libgconf2-dev (>= 2.8.0),
               libglade2-dev (>= 2.4.0),
               libgstreamer0.10-dev (>= 0.10.2),
               libgnome2-dev (>= 2.8.0),
               libgnomeui-dev (>= 2.8.0),
               libpanel-applet2-dev (>= 2.13.4),
               libnotify-dev (>= 0.3.2),
               gnome-icon-theme (>= 2.15.91)
Standards-Version: 3.8.3
Vcs-Git: git://git.debian.org/git/collab-maint/alarm-clock-applet.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/alarm-clock-applet.git
Homepage: http://alarm-clock.pseudoberries.com/

Package: alarm-clock-applet
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Alarm Clock applet for the GNOME panel
 Alarm Clock is a fully-featured alarm clock for your GNOME panel.
 It is easy to use yet powerful with support for multiple and
 repeatable alarms, as well as snoozing and a flexible notification
 system.
 .
 Two types of alarms are supported: Alarm Clocks and Timers.
 Notification is done by either playing a sound or launching an
 application.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export LDFLAGS=-Wl,--as-needed -Wl,-z,defs

MAKEFILE = $(firstword $(MAKEFILE_LIST))
DEBIAN_DIR = $(dir $(MAKEFILE))
SOURCE_DIR = $(DEBIAN_DIR)/..
VERSION = $(shell dpkg-parsechangelog -l$(DEBIAN_DIR)/changelog | \
	sed -n 's/-.*$$//; s/^Version: //p')
PACKAGE = $(shell sed -n 's/^Source: //p' $(DEBIAN_DIR)/control)

get-orig-source:
	uscan \
		--force-download \
		--download \
		--rename \
		--package=$(PACKAGE) \
		--upstream-version=$(VERSION) \
		--watchfie=$(DEBIAN_DIR)/watch \
		--destdir=.

# disable tests; it requires a running D-Bus session
override_dh_auto_test:

override_dh_installchangelogs:
	dh_installchangelogs ChangeLog

clean:
	rm -f debian/alarm-clock-applet.1
	dh $@
%:
	dh $@

## alarm-clock-applet 0.3.1

=== debian/changelog ===
alarm-clock-applet (0.3.1-1) unstable; urgency=low

  * New upstraem release
  * debian/alarm-clock-applet.links:
    + Link alarm-clock-applet.desktop into /etc/xdg/autostart to make it
      start up automatically (Closes: #577276)

 -- Chow Loong Jin <hyperair@ubuntu.com>  Wed, 19 May 2010 00:26:36 +0800

alarm-clock-applet (0.3.0-1) unstable; urgency=low

  * New upstream release
  * debian/control:
    + No change bump of Standards-Version to 3.8.4
    + Update build-deps:
      - Drop libglade, libpanel-applet, libgnomevfs2, libgnome{2,ui}
      - Add libxml2-dev and libunique-dev, intltool
  * debian/patches/01_update-alarms-eta,patch:
    + Dropped, applied upstream
  * debian/(alarm-clock-applet.1, alarm-clock-applet.manpages):
    + Add manpage for alarm-clock-applet, now that the binary is moved to
      /usr/bin.

 -- Chow Loong Jin <hyperair@ubuntu.com>  Wed, 17 Mar 2010 09:02:44 +0800

=== debian/control ===
Source: alarm-clock-applet
Section: gnome
Priority: optional
Maintainer: Chow Loong Jin <hyperair@ubuntu.com>
Uploaders: Johannes H. Jensen <joh@pseudoberries.com>
Build-Depends: debhelper (>= 7.0.50),
               autotools-dev,
               intltool (>= 0.40),
               libglib2.0-dev (>= 2.16.0),
               libgtk2.0-dev (>= 2.12.0),
               libgconf2-dev (>= 2.8.0),
               libgstreamer0.10-dev (>= 0.10.2),
               libnotify-dev (>= 0.4.1),
               gnome-icon-theme (>= 2.15.91),
               libxml2-dev,
               libunique-dev
Standards-Version: 3.8.4
Vcs-Git: git://git.debian.org/git/collab-maint/alarm-clock-applet.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/alarm-clock-applet.git
Homepage: http://alarm-clock.pseudoberries.com/

Package: alarm-clock-applet
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Alarm Clock applet
 Alarm Clock is a fully-featured alarm clock which resides in the notification
 area It is easy to use yet powerful with support for multiple and repeatable
 alarms, as well as snoozing and a flexible notification system.
 .
 Two types of alarms are supported: Alarm Clocks and Timers.
 Notification is done by either playing a sound or launching an
 application.

=== debian/rules ===
--- 
+++ 
@@ -26,8 +26,10 @@
 override_dh_installchangelogs:
 	dh_installchangelogs ChangeLog
 
+override_dh_auto_install:
+	dh_auto_install
+
 clean:
-	rm -f debian/alarm-clock-applet.1
 	dh $@
 %:
 	dh $@

## alarm-clock-applet 0.3.2

=== debian/changelog ===
alarm-clock-applet (0.3.2-3ubuntu2~precise1) precise-proposed; urgency=low

  * Backport to precise-proposed

 -- Chow Loong Jin <hyperair@debian.org>  Tue, 01 May 2012 05:23:09 +0800

alarm-clock-applet (0.3.2-3ubuntu2) quantal; urgency=low

  * [7f8361d] Add patch to set appindicator title (LP: #992148)
  * [954b717] Bump Standards-Version to 3.9.3
    - Update debian/copyright format URL

 -- Chow Loong Jin <hyperair@debian.org>  Tue, 01 May 2012 03:33:53 +0800

alarm-clock-applet (0.3.2-3ubuntu1) precise; urgency=low

  * [293a87a] Merge from Debian unstable, remaining changes:
    + [67ffb6e] Add appindicator support

 -- Chow Loong Jin <hyperair@debian.org>  Sun, 01 Apr 2012 02:20:35 +0800

alarm-clock-applet (0.3.2-3) unstable; urgency=low

  * [db69482] Change from "--hide" to "--hidden" in autostart desktop file.
    Thanks to bojo42 (LP: #877037)

 -- Chow Loong Jin <hyperair@debian.org>  Sun, 01 Apr 2012 01:53:08 +0800

alarm-clock-applet (0.3.2-2ubuntu1) precise; urgency=low

  * [01603b4] Merge from Debian Unstable, remaining changes:
    + [67ffb6e] Add appindicator support

 -- Chow Loong Jin <hyperair@debian.org>  Mon, 09 Jan 2012 12:02:08 +0800

alarm-clock-applet (0.3.2-2) unstable; urgency=low

  * [ba5585c] Add missing period to package description.
    Thanks to Paul Stewart <paulbrianstewart@gmail.com> (LP: #830806)
  * [a48460e] Add --hide option to autostart desktop file (LP: #877037)
  * [63a9f44] Add gstreamer dependencies.
    This should fix segfaults to do with not being able to create a media player
    (Closes: #626364)
  * [7eb7fbc] Update maintainer email address
  * [294a018] Update copyright to DEP-5 format
  * [1a1883d] No-change Standards-Version bump (3.9.1 → 3.9.2)

 -- Chow Loong Jin <hyperair@debian.org>  Mon, 09 Jan 2012 11:41:59 +0800

alarm-clock-applet (0.3.2-1ubuntu1) oneiric; urgency=low

  * [67ffb6e] Add appindicator support

 -- Chow Loong Jin <hyperair@ubuntu.com>  Wed, 03 Aug 2011 12:56:52 +0800

alarm-clock-applet (0.3.2-1) unstable; urgency=low

  [ Chow Loong Jin ]
  * [48e1cb8] New upstream release:
    + New features:
      - Add support for application indicators
      - Countdown label for application indicator
      - New status icon indicating triggered alarms
    + Bugs fixed:
      - Add countdown label (for application indicator) (LP: #565302)
      - Create ~/.config/autostart if it doesn't exist (LP: #610632)
      - Add support for libnotify 0.7 (LP: #671962)
      - Properly stop triggered alarms that are not playing sound (LP: #682999)
      - Add support for application indicators (LP: #704956)
      - Clicking on status icon should bring up list instead of snoozing
        (LP: #706832)
    + Translation updates:
      - ar, courtesy of Ahmed Mohammed
      - ast, courtesy of Xuacu Saturio <xuacusk8@gmail.com>
      - be, courtesy of Mikola Tsekhan <mail@tsekhan.com>
      - ca, courtesy of I. De Marchi
      - cs, courtesy of Oliwer <linuch@centrum.cz>
      - de, courtesy of Christoph Wickert
      - es, courtesy of Fitoschido <fitoschido@gmail.com>
      - et, courtesy of Tarmo Ilves <tarmo.ilves.001@mail.ee>
      - fi, courtesy of Jiri Grönroos
      - fo, courtesy of Gunleif Joensen
      - fr, courtesy of Nicolas Delvaux
      - gl, courtesy of Miguel Anxo Bouzada <mbouzada@gmail.com>
      - he, courtesy of Yaron <sh.yaron@gmail.com>
      - hu, courtesy of Papp Bence <papp.bence89@gmail.com>
      - id, courtesy of Arief Setiadi Wibowo <q_thrynx@yahoo.com>
      - ja, courtesy of jugger Yamamoto
      - ka, courtesy of Giorgi Maghlakelidze <acidlabz@gmail.com>
      - la, courtesy of nivek1385 <nivek1385@yeltrahnivek.com>
      - nb, courtesy of Johannes H. Jensen <joh@pseudoberries.com>
      - nl, courtesy of Rachid
      - pl, courtesy of XeonBloomfield
      - pt_BR, courtesy of André Gondim <andregondim@ubuntu.com>
      - ru, courtesy of Сергій Матрунчик (SkyMan)
      - tr, courtesy of Burak Ilgıcıoğlu
      - uk, courtesy of Сергій Матрунчик (SkyMan)
      - zh_CN, courtesy of Lele Long <schemacs@gmail.com>
      - zh_TW, courtesy of Cheng-Chia Tseng <pswo10680@gmail.com>
  * [002292e] Drop README.source since we use debsrc3.0
  * [8dbb35e] No-change Standards-Version (3.8.4 → 3.9.1)
  * [45f456f] Drop override_dh_auto_install (no longer needed)

  [ Peter Pentchev ]
  * [e8eaaa5] Fix a typo in the get-orig-source target.

 -- Chow Loong Jin <hyperair@ubuntu.com>  Tue, 29 Mar 2011 00:25:40 +0800

=== debian/control ===
Source: alarm-clock-applet
Section: gnome
Priority: optional
Maintainer: Chow Loong Jin <hyperair@debian.org>
Uploaders: Johannes H. Jensen <joh@pseudoberries.com>
Build-Depends: debhelper (>= 7.0.50),
               autotools-dev,
               intltool (>= 0.40),
               libglib2.0-dev (>= 2.16.0),
               libgtk2.0-dev (>= 2.12.0),
               libgconf2-dev (>= 2.8.0),
               libgstreamer0.10-dev (>= 0.10.2),
               libnotify-dev (>= 0.4.1),
               gnome-icon-theme (>= 2.15.91),
               libxml2-dev,
               libunique-dev,
               libappindicator-dev (>= 0.0.7)
Standards-Version: 3.9.3
Vcs-Git: git://git.debian.org/git/collab-maint/alarm-clock-applet.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/alarm-clock-applet.git
Homepage: http://alarm-clock.pseudoberries.com/

Package: alarm-clock-applet
Architecture: any
Depends: gstreamer0.10-plugins-base,
         gstreamer0.10-gconf,
         ${shlibs:Depends}, ${misc:Depends}
Description: Alarm Clock applet
 Alarm Clock is a fully-featured alarm clock which resides in the notification
 area. It is easy to use yet powerful with support for multiple and repeatable
 alarms, as well as snoozing and a flexible notification system.
 .
 Two types of alarms are supported: Alarm Clocks and Timers.
 Notification is done by either playing a sound or launching an
 application.

=== debian/rules ===
--- 
+++ 
@@ -17,7 +17,7 @@
 		--rename \
 		--package=$(PACKAGE) \
 		--upstream-version=$(VERSION) \
-		--watchfie=$(DEBIAN_DIR)/watch \
+		--watchfile=$(DEBIAN_DIR)/watch \
 		--destdir=.
 
 # disable tests; it requires a running D-Bus session
@@ -26,8 +26,17 @@
 override_dh_installchangelogs:
 	dh_installchangelogs ChangeLog
 
-override_dh_auto_install:
-	dh_auto_install
+override_dh_auto_configure:
+	dh_auto_configure -- \
+		--enable-appindicator
+
+# generate a desktop file for installing to /etc/xdg/autostart/
+override_dh_install: debian/alarm-clock-applet.desktop
+	dh_install
+
+debian/alarm-clock-applet.desktop: debian/alarm-clock-applet/usr/share/applications/alarm-clock-applet.desktop
+	awk '/^Exec=/ { $$0 = $$0 " --hidden"; } {print;}' \
+		$< > $@
 
 clean:
 	dh $@

## alarm-clock-applet 0.3.3

=== debian/changelog ===
alarm-clock-applet (0.3.3-1) unstable; urgency=low

  * [05ffad2] New upstream bugfix release:
    - Automatically detect daylight savings time (LP: #290733)
    - Let the WM decide the initial position of the list window (LP: #800635)
    - Check that media player was created successfully (LP: #823585)
    - Don't show notifications when alarms are stopped/snoozed (LP: #908636)
    - Update timestamp when type is changed for active alarms (LP: #885059)
    - Use segment seeks to prevent playback delays when looping (LP: #977110)
    - Enable alarm when closing the Edit alarm dialog (LP: #824337)
  * [c6f6846] Drop upstreamed Set-appindicator-title.patch
  * [6901288] Bump debhelper compat level to 9 for buildflags
  * [224a210] Drop redundant clean rule
  * [600f7b3] Don't override LDFLAGS directly.
    Use DEB_LDFLAGS_MAINT_APPEND instead to append --as-needed stuff, as per the
    dpkg-buildflags manpage.

 -- Chow Loong Jin <hyperair@debian.org>  Mon, 04 Jun 2012 04:38:46 +0800

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Chow Loong Jin <hyperair@debian.org>
 Uploaders: Johannes H. Jensen <joh@pseudoberries.com>
-Build-Depends: debhelper (>= 7.0.50),
+Build-Depends: debhelper (>= 9),
                autotools-dev,
                intltool (>= 0.40),
                libglib2.0-dev (>= 2.16.0),

=== debian/watch ===
version=3

https://launchpad.net/alarm-clock/+download http://launchpad.net/alarm-clock/trunk/.*/\+download/alarm-clock-applet-(.+).tar.gz

## alarm-clock-applet 0.3.4

=== debian/changelog ===
alarm-clock-applet (0.3.4-1) unstable; urgency=medium

  * [0499cae] Fix debian/watch.
    Launchpad URLs have changed again.
  * [3becb10] Imported Upstream version 0.3.4
  * [9a0d479] Update gstreamer deps
  * [74a4d3e] No-change bump of Standards-Version to 3.9.6
  * [6ddde20] Improve short description

 -- Chow Loong Jin <hyperair@debian.org>  Tue, 19 May 2015 13:51:08 +0800

=== debian/control ===
--- 
+++ 
@@ -9,23 +9,23 @@
                libglib2.0-dev (>= 2.16.0),
                libgtk2.0-dev (>= 2.12.0),
                libgconf2-dev (>= 2.8.0),
-               libgstreamer0.10-dev (>= 0.10.2),
+               libgstreamer1.0-dev,
                libnotify-dev (>= 0.4.1),
                gnome-icon-theme (>= 2.15.91),
                libxml2-dev,
                libunique-dev,
                libappindicator-dev (>= 0.0.7)
-Standards-Version: 3.9.3
+Standards-Version: 3.9.6
 Vcs-Git: git://git.debian.org/git/collab-maint/alarm-clock-applet.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/alarm-clock-applet.git
 Homepage: http://alarm-clock.pseudoberries.com/
 
 Package: alarm-clock-applet
 Architecture: any
-Depends: gstreamer0.10-plugins-base,
-         gstreamer0.10-gconf,
+Depends: gstreamer1.0-plugins-base,
+         gstreamer1.0-plugins-good,
          ${shlibs:Depends}, ${misc:Depends}
-Description: Alarm Clock applet
+Description: alarm clock panel indicator
  Alarm Clock is a fully-featured alarm clock which resides in the notification
  area. It is easy to use yet powerful with support for multiple and repeatable
  alarms, as well as snoozing and a flexible notification system.

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 # -*- makefile -*-
 
-export LDFLAGS=-Wl,--as-needed -Wl,-z,defs
+export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed -Wl,-z,defs
 
 MAKEFILE = $(firstword $(MAKEFILE_LIST))
 DEBIAN_DIR = $(dir $(MAKEFILE))
@@ -38,7 +38,5 @@
 	awk '/^Exec=/ { $$0 = $$0 " --hidden"; } {print;}' \
 		$< > $@
 
-clean:
-	dh $@
 %:
 	dh $@

=== debian/watch ===
version=3

https://launchpad.net/alarm-clock/+download .*/alarm-clock-applet-(.+).tar.gz

## alarm-clock-applet 0.4.1

=== debian/changelog ===
alarm-clock-applet (0.4.1-6) unstable; urgency=medium

  * [b5867aa] Drop gnome-icon-theme build-dep (Closes: #1117079)
  * [c0c1ef7] Drop gnome-common build-dep.
  * [54b944b] d/copyright: Drop FSF address.

 -- Chow Loong Jin <hyperair@debian.org>  Mon, 06 Oct 2025 11:47:26 +0800

alarm-clock-applet (0.4.1-5) unstable; urgency=medium

  * [eeea0ab] Drop Recommends: alarm-clock-applet-gconf-migration
    (Closes: #1039535)

 -- Chow Loong Jin <hyperair@debian.org>  Tue, 27 Jun 2023 13:03:26 +0800

alarm-clock-applet (0.4.1-4) unstable; urgency=medium

  * [5525748] Drop gconf-migration bits
    gconf is getting removed from Debian (Closes: #886087)

 -- Chow Loong Jin <hyperair@debian.org>  Mon, 26 Jun 2023 11:20:27 +0800

alarm-clock-applet (0.4.1-3) unstable; urgency=medium

  * [03c7bb1] Add suggests: playerctl

 -- Chow Loong Jin <hyperair@debian.org>  Wed, 15 Feb 2023 20:56:06 +0800

alarm-clock-applet (0.4.1-2) unstable; urgency=medium

  * [5cbc398] Add copyright info for translations

 -- Chow Loong Jin <hyperair@debian.org>  Mon, 06 Feb 2023 11:13:29 +0800

alarm-clock-applet (0.4.1-1) unstable; urgency=medium

  * [41a323e] Update debian/watch to point to github
  * [e36c624] New upstream version 0.4.1
  * [10ff49b] d/rules: Clean up old overrides and get-orig-source target
  * [3f1ba07] d/control: Update build-deps
  * [d9c1625] Drop autostart desktop file
  * [d160284] d/copyright: Update copyright years and fix typo
  * [691b625] Patch to drop debian subdirectory from cmake buildsys
  * [4219098] Patch to move gconf schemas into /usr/share/gconf/schemas
  * [ab16f2f] d/control: Update homepage
  * [d2680a7] Backport some bugfixes from upstream
  * [85a2e72] Split gconf migration into its own package
  * [1ed8a4f] Drop downstream manpages

 -- Chow Loong Jin <hyperair@debian.org>  Sat, 04 Feb 2023 00:26:25 +0800

alarm-clock-applet (0.3.4-2) unstable; urgency=medium

  * [b022bac] Bump debhelper compat and move to debhelper-compat build-dep
  * [8af79cf] Bump Standards-Version to 4.4.1
  * [cfb3bc2] Update Vcs-* addresses
  * [be5d9cf] Build-dep on gnome-common
  * [70e9089] Drop autotools-dev build-dep, no longer needed with dh compat 12

 -- Chow Loong Jin <hyperair@debian.org>  Tue, 31 Dec 2019 12:09:18 +0800

=== debian/control ===
Source: alarm-clock-applet
Section: gnome
Priority: optional
Maintainer: Chow Loong Jin <hyperair@debian.org>
Uploaders: Johannes H. Jensen <joh@pseudoberries.com>
Build-Depends: debhelper-compat (= 12),
               cmake (>= 3.10),
               intltool (>= 0.40),
               libgtk-3-dev,
               libgstreamer1.0-dev,
               libnotify-dev,
               libayatana-appindicator3-dev,
               libglib2.0-dev,
               libxml2-dev
Standards-Version: 4.4.1
Vcs-Git: https://salsa.debian.org/debian/alarm-clock-applet.git
Vcs-Browser: https://salsa.debian.org/debian/alarm-clock-applet
Homepage: https://alarm-clock-applet.github.io

Package: alarm-clock-applet
Architecture: any
Depends: gstreamer1.0-plugins-base,
         gstreamer1.0-plugins-good,
         ${shlibs:Depends}, ${misc:Depends}
Suggests: playerctl
Description: alarm clock panel indicator
 Alarm Clock is a fully-featured alarm clock which resides in the notification
 area. It is easy to use yet powerful with support for multiple and repeatable
 alarms, as well as snoozing and a flexible notification system.
 .
 Two types of alarms are supported: Alarm Clocks and Timers.
 Notification is done by either playing a sound or launching an
 application.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed -Wl,-z,defs

override_dh_auto_configure:
	dh_auto_configure -- -D ENABLE_GCONF_MIGRATION=OFF

# disable tests; it requires a running D-Bus session
override_dh_auto_test:

override_dh_installchangelogs:
	dh_installchangelogs ChangeLog

%:
	dh $@
